Bug 139558 - Sysreport should collect /proc/slabinfo and output of SysRq+m
Sysreport should collect /proc/slabinfo and output of SysRq+m
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysreport (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 12:43 EST by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 11:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-11-16 12:43:19 EST
User-Agent:       
Build Identifier: 

When debugging memory problems with the kernel, it is typically neccessary to
view the contents of /proc/slabinfo and the output of SysRq+m. This information
however is not currently collected by the sysreport script. The latter could be
obtained by running 'echo m > /proc/sysrq-trigger' before copying the
/var/log/messages file.

Reproducible: Always
Steps to Reproduce:
1. Run sysreport
2.
3.

Actual Results:  
No info on slab or memory zones is collected

Expected Results:  
/proc/slabinfo is collected & SysRq+m output is in /var/log/messages
Comment 1 Suzanne Hillman 2004-12-08 17:41:31 EST
Internal RFE bug #142322 entered; will be considered for future releases.
Comment 2 Ngo Than 2005-01-24 11:55:28 EST
it's now added in sysreport-1.3.7.2-3 and will be included in RHEL3-U5

Note You need to log in before you can comment on or make changes to this bug.